Wednesday, 5 December 2012

Drupal - System Requirements to Install Drupal

To Install Drupal in Our Machine, we should have following System Requirements.

Disk Space:
    15 MB - Minimum Drupal Base Installation.
    60 MB - Many Contributed Modules, Themes, Database Content, Media, Backups and Other Files.

Web Server:  [Any one of the below listed Server]
  1. Apache
  2. Nginx
  3. Microsoft IIS
Database Server:
  1. Drupal 6: MySQL 4.1 or higher, PostgreSQL 7.1
  2. Drupal 7: MySQL 5.0.15 or higher with PDO, PostgreSQL 8.3 or higher with PDO, SQLite 3.3.7 or higher
          Note: Microsoft SQL Server and Oracle are supported by an additional module

PHP:
  1. Drupal 6: PHP 4.4.0 or higher (5.3 recommended)
  2. Drupal 7: PHP 5.2.5 or higher (5.3 recommended)--some of the modules require 5.3
  3. Drupal 8: PHP 5.3.5 or higher
 
NOTE: Drupal 8 can no longer be installed on hosts with the 'magic_quotes_gpc' or 'magic_quotes_runtime' PHP ini settings turned on; these setting are deprecated in PHP 5.3 and have no effect anymore in PHP 5.4.

No comments:

Post a Comment

Thank you so much for providing your valuable feedback. I will will look into them and update my skills & technologies accordingly.